
Infrastructure - Bug #7086

MN.updating an archived object doesn't get an invalid request exception

2015-05-07 19:10 - Jing Tao

Status: Closed Start date: 2015-05-07

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Our API document says:

The update operation MUST fail with Exceptions.InvalidRequest on objects that have the Types.SystemMetadata.archived property

set to true.

I checked the code and i didn't find the enforcement on Metacat code.

History

#1 - 2015-05-08 01:40 - Jing Tao

Added code to check the archive status in the mn.update method.

Sending        src/edu/ucsb/nceas/metacat/dataone/MNodeService.java

Transmitting file data .

Committed revision 9200.

Also added a junit test scenario and it passed.

#2 - 2015-05-08 16:59 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

Andrei tested on mn-demo-6, it worked for him. Close the bug.
